%define name  kshowmail
%define version   2.0
%define release   2mdk

Summary:     	Show and delete mail on pop3 servers
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:   	GPL
Url:         	http://user.sireconnect.de/eggert.ehmke
Group:       	Networking/Mail
Source:      	%{name}-%{version}.tar.bz2
BuildRoot:   	%{_tmppath}/%{name}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-static-libs
BuildRequires:  automake arts autoconf diffutils kdelibs file m4 texinfo gettext libjpeg62-devel
BuildRequires:  kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 libqt2-devel rpm-build

%description
KShowmail is a KDE utility to show headers or the complete mails on pop3 
servers without transfering them to the local mail client. Unpleasant mails can
be deleted on the server.  The information can be refreshed via timers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt2 \
		    --disable-rpath \
		    --disable-debug \
		    --enable-final
													     
%install
rm -rf $RPM_BUILD_ROOT
 
make install prefix=$RPM_BUILD_ROOT/%_prefix 

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kshowmail"\
icon="%{name}.png"\
title="Kshowmail"\
longtitle="Show mails on pop3 server"\
needs="x11"\
section="Networking/Mail"
EOF
)
 

%find_lang %name
 
%post
%{update_menus}
 
%postun
%{clean_menus}    

%clean
rm -rf $RPM_BUILD_ROOT/


%files -f %name.lang 
%defattr (-,root,root)
%_bindir/*
%_datadir/applnk/Applications/*.desktop

%dir %_datadir/apps/kshowmail/
%dir %_datadir/apps/kshowmail/pics/
%dir %_datadir/apps/kshowmail/sounds/
%_datadir/apps/kshowmail/*.rc
%_datadir/apps/kshowmail/pics/*.xpm
%_datadir/apps/kshowmail/sounds/*.wav

%dir %_datadir/doc/HTML/de/kshowmail/
%doc %_datadir/doc/HTML/de/kshowmail/*.html
%doc %_datadir/doc/HTML/de/kshowmail/*.png

%dir %_datadir/doc/HTML/es/kshowmail/
%doc %_datadir/doc/HTML/es/kshowmail/*.html
%doc %_datadir/doc/HTML/es/kshowmail/*.png

%doc %_datadir/doc/HTML/en/en/*.html
%doc %_datadir/doc/HTML/en/en/*.png

%dir %_datadir/doc/HTML/fr/kshowmail/
%doc %_datadir/doc/HTML/fr/kshowmail/*.html
%doc %_datadir/doc/HTML/fr/kshowmail/*.png

%dir %_datadir/doc/HTML/sv/kshowmail/
%doc %_datadir/doc/HTML/sv/kshowmail/*.html
%doc %_datadir/doc/HTML/sv/kshowmail/*.png


%_menudir/*

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Move KDE menu entry in %%_datadir/applnk/
- Fix and use optimizations
- Fix BuildRequires fon non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-1mdk
- Update code
- Add build requires

* Wed Oct 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- build with kde-compat
- menu
- updated to 0.5.3

* Wed Jul 05 2000 John Johnson <jjohnson@linux-mandrake.com> 0.5-1mdk
- Made mandrake rpm
